<?php

namespace domain\Config\TaxRate;

use domain\_\AbstractModule;

class TaxRateModule extends AbstractModule
{
    public function getServices(): array
    {
        return [
            TaxRateDefinition::class,
            TaxRateBuilder::class,
            TaxRateRepository::class,
        ];
    }

    public function getDefinition(): TaxRateDefinition
    {
        return TaxRateDefinition::getInstance();
    }

    public function getBuilder(): TaxRateBuilder
    {
        return TaxRateBuilder::getInstance();
    }

    public function getRepository(): TaxRateRepository
    {
        return TaxRateRepository::getInstance();
    }
}